/*
 *  Copyright (C) 2004 Link Dupont <link@subpop.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "mm-keys.h"
#include <glade/glade.h>
#include <gst/play/play.h>
#include <gnome.h>


#define PLAYING_PNG g_build_filename(DATADIR,"lindele","playing.png",NULL)
#define PLAY_PNG g_build_filename(DATADIR,"lindele","play.png",NULL)
#define PAUSE_PNG g_build_filename(DATADIR,"lindele","pause.png",NULL)

/*
#define PLAYING_PNG g_build_filename("data","playing.png",NULL)
#define PLAY_PNG g_build_filename("data","play.png",NULL)
#define PAUSE_PNG g_build_filename("data","pause.png",NULL)
*/
#define STOP_PNG g_build_filename(DATADIR,"lindele","stop.png",NULL)
#define NEXT_PNG g_build_filename(DATADIR,"lindele","next.png",NULL)
#define PREV_PNG g_build_filename(DATADIR,"lindele","prev.png",NULL)
#define LINDELE_PNG g_build_filename(DATADIR,"lindele","lindele.png",NULL)

#define DEBUG 0

typedef struct _Lindele Lindele;
struct _Lindele
{
    GnomeAbout *about;
    GstPlay *player;
    GladeXML *xml;
    GtkListStore *liststore;
    GtkWidget *treeview;
    GtkTreePath *current;
    GtkTreePath *last;
    GtkTreePath *selected;
    GtkTreeSelection *selector;
    MmKeys *mmkeys;
    int playlist_num;
    gboolean random;
    gboolean repeat;
};

/* List view enum */
enum
{
    PLAYING_COLUMN,
	TITLE_COLUMN,
	ARTIST_COLUMN,
	ALBUM_COLUMN,
	FILE_COLUMN,
	N_COLUMNS
};

typedef enum
{
    PLAYING,
    PAUSED,
    STOPPED
} PlayerState;

typedef struct FileTag
{
    gchar *artist;
    gchar *title;
    gchar *album;
    int track;
    gchar *genre;
    int year;
    gchar *comment;
    gchar *filepath;
} FileTag;
